// modals windows //

// callback modal // 

.callback__modal {
    position: fixed;
    z-index: 4;
    background-color: $white;
    padding: 2.5rem;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border-radius: 8px;
    box-shadow: 0px 10px 15px -5px rgba(111, 111, 111, 0.602); 
    visibility: hidden;
    opacity: 0;
    transition: 0.4s ease;

    @media (max-width: 425px) {
        padding: 1.5rem;
    }

    .callback-close__button {
        position: absolute;
        top: 15px;
        right: 15px;
    }

    .modal__title {
        @include modalTitle;
    }

    .modal__form { 
        display: flex;
        flex-direction: column;
        gap: 20px;
        width: 300px;
        color: $white;

        .modal__input {
            @include modalInput;
        }

        .modal__button {
            @include calculateButton;
        }
    }
}

